AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Music generationSuno MJ

Create voice

Create a custom voice model from a publicly accessible MP3 or WAV audio URL.

After a successful submission, save data.jobId and use Retrieve a task to track the task.

After the task completes, the creation result is in data.data.data. name is the voice name, and persona_id is the generated Persona ID.

POST/suno/mj/submit/create-voice

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with Authorization: Bearer your-api-key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json